XmRemoveWMProtocols(3)

NAME
XmRemoveWMProtocols — A VendorShell convenience interface that removes the protocols from the protocol manager and deallocates the internal tables

SYNOPSIS

#include <Xm/Xm.h>
#include <Xm/Protocols.h>
void XmRemoveWMProtocols(
Widget shell,
Atom * protocols,
Cardinal num_protocols);

DESCRIPTION

XmRemoveWMProtocols is a convenience interface. It calls XmRemoveProtocols with the property value set to the atom returned by interning WM_PROTOCOLS.

shell
    Specifies the widget with which the protocol property is associated

protocols
    Specifies the protocol atoms

num_protocols
    Specifies the number of elements in protocols

For a complete definition of VendorShell and its associated resources, see VendorShell(3).

RELATED

VendorShell(3), XmAddWMProtocols(3), XmInternAtom(3), and XmRemoveProtocols(3).